Bug 812535 - [abrt] bash-4.2.24-1.fc16: xmalloc: Process /bin/bash was killed by signal 11 (SIGSEGV)
[abrt] bash-4.2.24-1.fc16: xmalloc: Process /bin/bash was killed by signal 11...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
abrt_hash:af632415e4d1fb132b3890ec104...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 10:54 EDT by Simon A. Erat
Modified: 2014-01-12 19:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (187.33 KB, text/plain)
2012-04-14 10:54 EDT, Simon A. Erat
no flags Details
List of packages installed (if any helpfull) (95.92 KB, text/plain)
2012-04-16 18:50 EDT, Simon A. Erat
no flags Details

  None (edit)
Description Simon A. Erat 2012-04-14 10:54:22 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /bin/bash /home/.s/st/st
crash_function: xmalloc
executable:     /bin/bash
kernel:         3.2.6-3.fc16.x86_64
pid:            1373
pwd:            /
reason:         Process /bin/bash was killed by signal 11 (SIGSEGV)
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Sat 14 Apr 2012 04:26:52 PM CEST
uid:            1000
username:       simon

backtrace:      Text file, 191828 bytes

build_ids:
:638db099ff5fb986d1a092629d1bb1dca5be4904
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:2ed750da8624e326df2ff0d7316e89f22a57d060
:75eaece6e0d1e075520cdfad5c398fdab4370846
:3cbc639da8b05f5cd87202ff77c5c335313d3276
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e

dso_list:
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330215662
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1329174090
:/bin/bash bash-4.2.24-1.fc16.x86_64 (Fedora Project) 1334274520
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330215672
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330215662
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330215662
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1334274518
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.6.x86_64 (Fedora Project) 1330215662

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=l670.ocean
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=lxde-
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e7b560fad6f7c8827abce4450000000a-1334413419.100082-550357622
:USER=simon
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:PATH=/.s:/.s/collection:/.s:/.s/collection:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/simon/.local/bin:/home/simon/bin
:MAIL=/var/spool/mail/simon
:DESKTOP_SESSION=LXDE
:PWD=/
:LANG=en_US.UTF-8
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:_LXSESSION_PID=1111
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/simon
:SHLVL=2
:XDG_CONFIG_HOME=/home/simon/.config
:BOOT_IMAGE=/boot/vmlinuz-3.2.6-3.fc16.x86_64
:LOGNAME=simon
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-5jXTLDJsUZ,guid=802e5b647ddf0611240478b20000002e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:scDir=/.s
:PREFERRED=lxdm
:XDG_RUNTIME_DIR=/run/user/simon
:DISPLAY=:0
:XDG_CURRENT_DESKTOP=LXDE
:XAUTHORITY=/home/simon/.Xauthority
:OLDPWD=/.s
:_=/home/.s/st/st

maps:
:00400000-004da000 r-xp 00000000 08:06 140106                             /bin/bash
:006d9000-006da000 r--p 000d9000 08:06 140106                             /bin/bash
:006da000-006e3000 rw-p 000da000 08:06 140106                             /bin/bash
:006e3000-006e9000 rw-p 00000000 00:00 0 
:020c7000-0481d000 rw-p 00000000 00:00 0                                  [heap]
:7f2791a99000-7f2797ebc000 r--p 00000000 08:06 201051                     /usr/lib/locale/locale-archive
:7f2797ebc000-7f2798069000 r-xp 00000000 08:06 134613                     /lib64/libc-2.14.90.so
:7f2798069000-7f2798269000 ---p 001ad000 08:06 134613                     /lib64/libc-2.14.90.so
:7f2798269000-7f279826d000 r--p 001ad000 08:06 134613                     /lib64/libc-2.14.90.so
:7f279826d000-7f279826f000 rw-p 001b1000 08:06 134613                     /lib64/libc-2.14.90.so
:7f279826f000-7f2798274000 rw-p 00000000 00:00 0 
:7f2798274000-7f2798289000 r-xp 00000000 08:06 169336                     /lib64/libgcc_s-4.6.3-20120306.so.1
:7f2798289000-7f2798488000 ---p 00015000 08:06 169336                     /lib64/libgcc_s-4.6.3-20120306.so.1
:7f2798488000-7f2798489000 rw-p 00014000 08:06 169336                     /lib64/libgcc_s-4.6.3-20120306.so.1
:7f2798489000-7f279848b000 r-xp 00000000 08:06 134619                     /lib64/libdl-2.14.90.so
:7f279848b000-7f279868b000 ---p 00002000 08:06 134619                     /lib64/libdl-2.14.90.so
:7f279868b000-7f279868c000 r--p 00002000 08:06 134619                     /lib64/libdl-2.14.90.so
:7f279868c000-7f279868d000 rw-p 00003000 08:06 134619                     /lib64/libdl-2.14.90.so
:7f279868d000-7f27986b0000 r-xp 00000000 08:06 134938                     /lib64/libtinfo.so.5.9
:7f27986b0000-7f27988af000 ---p 00023000 08:06 134938                     /lib64/libtinfo.so.5.9
:7f27988af000-7f27988b3000 r--p 00022000 08:06 134938                     /lib64/libtinfo.so.5.9
:7f27988b3000-7f27988b4000 rw-p 00026000 08:06 134938                     /lib64/libtinfo.so.5.9
:7f27988b4000-7f27988d6000 r-xp 00000000 08:06 134602                     /lib64/ld-2.14.90.so
:7f2798ab9000-7f2798abd000 rw-p 00000000 00:00 0 
:7f2798acc000-7f2798acd000 rw-p 00000000 00:00 0 
:7f2798acd000-7f2798ad4000 r--s 00000000 08:06 200732                     /usr/lib64/gconv/gconv-modules.cache
:7f2798ad4000-7f2798ad5000 rw-p 00000000 00:00 0 
:7f2798ad5000-7f2798ad6000 r--p 00021000 08:06 134602                     /lib64/ld-2.14.90.so
:7f2798ad6000-7f2798ad7000 rw-p 00022000 08:06 134602                     /lib64/ld-2.14.90.so
:7f2798ad7000-7f2798ad8000 rw-p 00000000 00:00 0 
:7ffffa291000-7ffffaa90000 rw-p 00000000 00:00 0                          [stack]
:7ffffab44000-7ffffab45000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Apr 13 01:48:40 l670 yum[4136]: Updated: bash-4.2.24-1.fc16.x86_64
:Apr 14 16:26:52 l670 kernel: [  239.590193] st[1373]: segfault at 7ffffa28fff8 ip 0000000000469a35 sp 00007ffffa290008 error 6 in bash[400000+da000]
:Apr 14 16:26:53 l670 abrt[1431]: Saved core dump of pid 1373 (/bin/bash) to /var/spool/abrt/ccpp-2012-04-14-16:26:52-1373 (49848320 bytes)
Comment 1 Simon A. Erat 2012-04-14 10:54:29 EDT
Created attachment 577460 [details]
File: backtrace
Comment 2 Roman Rakus 2012-04-16 11:23:20 EDT
Can you please provide some steps to reproduce?
Comment 3 Simon A. Erat 2012-04-16 18:50:46 EDT
Created attachment 577849 [details]
List of packages installed (if any helpfull)

Sorry, sadly i dont recall what (or when) this error was caused / occouring.
The only thing i DO know is, i wasnt playing with bash at that time.

I hope the list of installed packages is any helpfull.
Comment 4 Michał Bień 2012-05-05 06:16:36 EDT
*** Bug 813289 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2013-01-16 12:13:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:40:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.